#include "K26SpawnCrowProjectileChargeableInteractionDefinition.h"
#include "UObject/NoExportTypes.h"

class UK26AmmoHandlerComponent;
class UK26PathHandlerComponent;
class UK26PowerStatusHandlerComponent;
class AKiller;
class ADBDPlayer;

void UK26SpawnCrowProjectileChargeableInteractionDefinition::SetSummonCooldown()
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::SetDependencies(UK26AmmoHandlerComponent* ammoHandler, UK26PathHandlerComponent* pathHandler, UK26PowerStatusHandlerComponent* statusHandler)
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::Server_PlaceProjectileWithPath_Implementation(AKiller* killer, const FVector& projectileSpawnPoint, const float killerLocalTime)
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::OnSummonCooldownComplete()
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::OnConfirmButtonPressed(AKiller* killer)
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::Multicast_OnK26CrowSummoned_Implementation(const AKiller* killer, const int32 remainingAmmo, const int32 maxAmmo)
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::Multicast_OnK26CrowSummonAttemptAcknowledged_Implementation()
{

}

void UK26SpawnCrowProjectileChargeableInteractionDefinition::Local_OnGlobalCooldownDone(ADBDPlayer* player)
{

}

bool UK26SpawnCrowProjectileChargeableInteractionDefinition::IsSummonOnCooldown() const
{
	return false;
}

bool UK26SpawnCrowProjectileChargeableInteractionDefinition::CanSummonCrowOnceFullyCharged()
{
	return false;
}

bool UK26SpawnCrowProjectileChargeableInteractionDefinition::CanSummonCrow()
{
	return false;
}

UK26SpawnCrowProjectileChargeableInteractionDefinition::UK26SpawnCrowProjectileChargeableInteractionDefinition()
{
	this->_aimingGuideClass = NULL;
	this->_isConfirmButtonPressed = false;
	this->_firedFullyChargedEvent = false;
	this->_isWaitingForSummonAcknowledgement = false;
}
